Interface GoogleVertexAIEndpointBuilderFactory.GoogleVertexAIBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
GoogleVertexAIEndpointBuilderFactory
public static interface GoogleVertexAIEndpointBuilderFactory.GoogleVertexAIBuilders
-
Method Summary
Modifier and TypeMethodDescriptionGoogle Vertex AI (camel-google-vertexai) Interact with Google Cloud Vertex AI generative models.googleVertexai(String path) Google Vertex AI (camel-google-vertexai) Interact with Google Cloud Vertex AI generative models.googleVertexai(String componentName, String path) Google Vertex AI (camel-google-vertexai) Interact with Google Cloud Vertex AI generative models.
-
Method Details
-
googleVertexai
Google Vertex AI (camel-google-vertexai) Interact with Google Cloud Vertex AI generative models. Category: ai,cloud Since: 4.17 Maven coordinates: org.apache.camel:camel-google-vertexai- Returns:
- the dsl builder for the headers' name.
-
googleVertexai
default GoogleVertexAIEndpointBuilderFactory.GoogleVertexAIEndpointBuilder googleVertexai(String path) Google Vertex AI (camel-google-vertexai) Interact with Google Cloud Vertex AI generative models. Category: ai,cloud Since: 4.17 Maven coordinates: org.apache.camel:camel-google-vertexai Syntax:google-vertexai:projectId:location:modelIdPath parameter: projectId (required) Google Cloud Project ID Path parameter: location (required) Google Cloud location/region (e.g., us-central1) Path parameter: modelId (required) Model ID to use for predictions- Parameters:
path- projectId:location:modelId- Returns:
- the dsl builder
-
googleVertexai
default GoogleVertexAIEndpointBuilderFactory.GoogleVertexAIEndpointBuilder googleVertexai(String componentName, String path) Google Vertex AI (camel-google-vertexai) Interact with Google Cloud Vertex AI generative models. Category: ai,cloud Since: 4.17 Maven coordinates: org.apache.camel:camel-google-vertexai Syntax:google-vertexai:projectId:location:modelIdPath parameter: projectId (required) Google Cloud Project ID Path parameter: location (required) Google Cloud location/region (e.g., us-central1) Path parameter: modelId (required) Model ID to use for predictions- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- projectId:location:modelId- Returns:
- the dsl builder
-